Index: GNUmakefile
===================================================================
--- GNUmakefile	(Revision 3690)
+++ GNUmakefile	(Arbeitskopie)
@@ -1,7 +1,13 @@
 
+ifneq ($(CXXFLAGS),)
+CMAKEOPTS += "-DCMAKE_CXX_FLAGS=$(CXXFLAGS)" 
+else
+CMAKEOPTS += "-DCMAKE_CXX_FLAGS=-g -O2" 
+endif
+
 all:
 	ls build/ 2>/dev/null >/dev/null || mkdir build
-	cd build && cmake .. && $(MAKE)
+	cd build && cmake .. $(CMAKEOPTS) && $(MAKE)
 
 DBTMP=dbgen/tmp
 
@@ -95,7 +101,7 @@
 # pass-through
 %:
 	ls build/ 2>/dev/null >/dev/null || mkdir build
-	cd build && cmake .. && $(MAKE) $@
+	cd build && cmake .. $(CMAKEOPTS) && $(MAKE) $@
 
 # no MT, cmake doesn't like it
 .NOTPARALLEL:
Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(Revision 3689)
+++ CMakeLists.txt	(Arbeitskopie)
@@ -2,7 +2,7 @@
 PROJECT(ACNG CXX C)
 INCLUDE_DIRECTORIES(. ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR} "include")
 
-SET(FLAGS_ACNG " -g -O2 -pthread -Wall -D_FILE_OFFSET_BITS=64 ")
+SET(FLAGS_ACNG " -pthread -Wall -D_FILE_OFFSET_BITS=64 ")
 
 # minimum prqs
 list(APPEND AcngLdList pthread z bz2)
